TaliwareTaliware Developer

Get NFT detail (includes copyright entries and per-owner info)

https://developer.taliware.com/api/v1/cl2c/nft/{id}

Back to all CL2C endpoints

Complete endpoint URL
gethttps://developer.taliware.com/api/v1/cl2c/nft/{id}
GET
/cl2c/nft/{id}
x-api-key<token>

In: header

Path Parameters

idstring

NFT ID

Response Body

curl -X GET "https://developer.taliware.com/api/v1/cl2c/nft/string"
{
  "id": "string",
  "status": "string",
  "name": "string",
  "description": "string",
  "externalUrl": "string",
  "imagePath": "string",
  "supply": 0,
  "mintedAt": "2019-08-24T14:15:22Z",
  "smartContract": {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "contractAddress": "string",
    "status": "string",
    "network": "string",
    "env": "string"
  },
  "metadata": {},
  "copyright": [
    {
      "id": "string",
      "status": "PENDING",
      "percentage": 0,
      "email": "string",
      "copyAuthLocation": "string",
      "copyAuthTimestamp": "2019-08-24T14:15:22Z",
      "walletAddress": [
        {
          "address": "string",
          "isPrimary": true
        }
      ],
      "userName": "string",
      "userImage": "string"
    }
  ],
  "totalOwners": 0
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Get NFT detail (includes copyright entries and per-owner info)